/**
 * based
 * Crunch - Arbitrary-precision integer arithmetic library
 * Copyright (C) 2014 Nenad Vukicevic crunch.secureroom.net/license
 *
 */
/**
 * @module Crunch
 * Radix: 28 bits
 * Endianness: Big
 *
 * @param {boolean} rawIn   - expect 28-bit arrays
 * @param {boolean} rawOut  - return 28-bit arrays
 */
export declare class Crunchy {
    num: number[];
    negative: boolean;
    static zeroes: number[];
    clone(): Crunchy;
    static removeLeadingZeros(inn: number[]): number[];
    static from_14bit(a: number[]): Crunchy;
    static from_8bit(a: number[]): Crunchy;
    static parse(val: string): Crunchy;
    static from_number(val: number): Crunchy;
    static from_string(val: string, radix?: number): Crunchy;
    to_8bit(): number[];
    compare(y: Crunchy): number;
    eq(oth: Crunchy): boolean;
    lte(oth: Crunchy): boolean;
    lt(oth: Crunchy): boolean;
    gt(oth: Crunchy): boolean;
    gte(oth: Crunchy): boolean;
    add(y: Crunchy): Crunchy;
    unsigned_add(_y: Crunchy): Crunchy;
    sub(y: Crunchy): Crunchy;
    unsigned_sub(_y: Crunchy, internal?: boolean): Crunchy;
    lsh(s: number): Crunchy;
    rsh(s: number): Crunchy;
    mul(y: Crunchy): Crunchy;
    static msb(x: number): number;
    shr(s: number): Crunchy;
    shl(s: number): Crunchy;
    cut(): Crunchy;
    div(y: Crunchy, internal?: boolean): Crunchy;
    mod(y: Crunchy): Crunchy;
    mds(n: number): number;
    toString(radix?: number): string;
    static _zero: Crunchy;
    static zero(): Crunchy;
    static _one: Crunchy;
    static one(): Crunchy;
    static _two: Crunchy;
    static two(): Crunchy;
}
export default Crunchy;
